Read a saved report
Returns one of the caller's saved reports: its title, schedule, recipients and 'params' — the report's definition under the parameter names of /rest-api/analytics/{format}.do (range, customFrom, customTo, groupRange, statisticType, groupBy, eqLong, eqStr, …), so the report can be run by passing them
https://YOUR-NETWORK-DOMAIN/rest-api/saved-reports/{id}.do Returns one of the caller's saved reports: its title, schedule, recipients and 'params' — the report's definition under the parameter names of /rest-api/analytics/{format}.do (range, customFrom, customTo, groupRange, statisticType, groupBy, eqLong, eqStr, …), so the report can be run by passing them there.
Path Params
id integer required
Saved report id
42 Responses
200
{id, title, scheduled, schedule, recipients, params}
400
Bad request — invalid or missing parameters
401
Authentication error
403
Forbidden — insufficient permissions
404
No saved report of the caller has this id